<?php

namespace mensajeriabonos\ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Suscribir ServiceType
 * @subpackage Services
 */
class Suscribir extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named suscribirSMI
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \mensajeriabonos\StructType\SuscribirSMI $parameters
     * @return \mensajeriabonos\StructType\SuscribirSMIResponse|bool
     */
    public function suscribirSMI(\mensajeriabonos\StructType\SuscribirSMI $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->suscribirSMI($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \mensajeriabonos\StructType\SuscribirSMIResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
