<?php

namespace mensajeriabonos\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for enviarSMI StructType
 * @subpackage Structs
 */
class EnviarSMI extends AbstractStructBase
{
    /**
     * The sEntidad
     * @var string
     */
    public $sEntidad;
    /**
     * The sUsuario
     * @var string
     */
    public $sUsuario;
    /**
     * The sClave
     * @var string
     */
    public $sClave;
    /**
     * The sEntidadSMI
     * @var string
     */
    public $sEntidadSMI;
    /**
     * The bEnvioATodaLaLista
     * @var bool
     */
    public $bEnvioATodaLaLista;
    /**
     * The sOtrosDestinatarios
     * @var string
     */
    public $sOtrosDestinatarios;
    /**
     * The tFechaHoraEnvio
     * @var string
     */
    public $tFechaHoraEnvio;
    /**
     * The tFechaHoraExpiracion
     * @var string
     */
    public $tFechaHoraExpiracion;
    /**
     * The sContenido
     * @var string
     */
    public $sContenido;
    /**
     * The bAcuse
     * @var bool
     */
    public $bAcuse;
    /**
     * The sIdGrupo
     * @var string
     */
    public $sIdGrupo;
    /**
     * The iCodingScheme
     * @var int
     */
    public $iCodingScheme;
    /**
     * Constructor method for enviarSMI
     * @uses EnviarSMI::setSEntidad()
     * @uses EnviarSMI::setSUsuario()
     * @uses EnviarSMI::setSClave()
     * @uses EnviarSMI::setSEntidadSMI()
     * @uses EnviarSMI::setBEnvioATodaLaLista()
     * @uses EnviarSMI::setSOtrosDestinatarios()
     * @uses EnviarSMI::setTFechaHoraEnvio()
     * @uses EnviarSMI::setTFechaHoraExpiracion()
     * @uses EnviarSMI::setSContenido()
     * @uses EnviarSMI::setBAcuse()
     * @uses EnviarSMI::setSIdGrupo()
     * @uses EnviarSMI::setICodingScheme()
     * @param string $sEntidad
     * @param string $sUsuario
     * @param string $sClave
     * @param string $sEntidadSMI
     * @param bool $bEnvioATodaLaLista
     * @param string $sOtrosDestinatarios
     * @param string $tFechaHoraEnvio
     * @param string $tFechaHoraExpiracion
     * @param string $sContenido
     * @param bool $bAcuse
     * @param string $sIdGrupo
     * @param int $iCodingScheme
     */
    public function __construct($sEntidad = null, $sUsuario = null, $sClave = null, $sEntidadSMI = null, $bEnvioATodaLaLista = null, $sOtrosDestinatarios = null, $tFechaHoraEnvio = null, $tFechaHoraExpiracion = null, $sContenido = null, $bAcuse = null, $sIdGrupo = null, $iCodingScheme = null)
    {
        $this
            ->setSEntidad($sEntidad)
            ->setSUsuario($sUsuario)
            ->setSClave($sClave)
            ->setSEntidadSMI($sEntidadSMI)
            ->setBEnvioATodaLaLista($bEnvioATodaLaLista)
            ->setSOtrosDestinatarios($sOtrosDestinatarios)
            ->setTFechaHoraEnvio($tFechaHoraEnvio)
            ->setTFechaHoraExpiracion($tFechaHoraExpiracion)
            ->setSContenido($sContenido)
            ->setBAcuse($bAcuse)
            ->setSIdGrupo($sIdGrupo)
            ->setICodingScheme($iCodingScheme);
    }
    /**
     * Get sEntidad value
     * @return string|null
     */
    public function getSEntidad()
    {
        return $this->sEntidad;
    }
    /**
     * Set sEntidad value
     * @param string $sEntidad
     * @return \mensajeriabonos\StructType\EnviarSMI
     */
    public function setSEntidad($sEntidad = null)
    {
        // validation for constraint: string
        if (!is_null($sEntidad) && !is_string($sEntidad)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sEntidad, true), gettype($sEntidad)), __LINE__);
        }
        $this->sEntidad = $sEntidad;
        return $this;
    }
    /**
     * Get sUsuario value
     * @return string|null
     */
    public function getSUsuario()
    {
        return $this->sUsuario;
    }
    /**
     * Set sUsuario value
     * @param string $sUsuario
     * @return \mensajeriabonos\StructType\EnviarSMI
     */
    public function setSUsuario($sUsuario = null)
    {
        // validation for constraint: string
        if (!is_null($sUsuario) && !is_string($sUsuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sUsuario, true), gettype($sUsuario)), __LINE__);
        }
        $this->sUsuario = $sUsuario;
        return $this;
    }
    /**
     * Get sClave value
     * @return string|null
     */
    public function getSClave()
    {
        return $this->sClave;
    }
    /**
     * Set sClave value
     * @param string $sClave
     * @return \mensajeriabonos\StructType\EnviarSMI
     */
    public function setSClave($sClave = null)
    {
        // validation for constraint: string
        if (!is_null($sClave) && !is_string($sClave)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sClave, true), gettype($sClave)), __LINE__);
        }
        $this->sClave = $sClave;
        return $this;
    }
    /**
     * Get sEntidadSMI value
     * @return string|null
     */
    public function getSEntidadSMI()
    {
        return $this->sEntidadSMI;
    }
    /**
     * Set sEntidadSMI value
     * @param string $sEntidadSMI
     * @return \mensajeriabonos\StructType\EnviarSMI
     */
    public function setSEntidadSMI($sEntidadSMI = null)
    {
        // validation for constraint: string
        if (!is_null($sEntidadSMI) && !is_string($sEntidadSMI)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sEntidadSMI, true), gettype($sEntidadSMI)), __LINE__);
        }
        $this->sEntidadSMI = $sEntidadSMI;
        return $this;
    }
    /**
     * Get bEnvioATodaLaLista value
     * @return bool|null
     */
    public function getBEnvioATodaLaLista()
    {
        return $this->bEnvioATodaLaLista;
    }
    /**
     * Set bEnvioATodaLaLista value
     * @param bool $bEnvioATodaLaLista
     * @return \mensajeriabonos\StructType\EnviarSMI
     */
    public function setBEnvioATodaLaLista($bEnvioATodaLaLista = null)
    {
        // validation for constraint: boolean
        if (!is_null($bEnvioATodaLaLista) && !is_bool($bEnvioATodaLaLista)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($bEnvioATodaLaLista, true), gettype($bEnvioATodaLaLista)), __LINE__);
        }
        $this->bEnvioATodaLaLista = $bEnvioATodaLaLista;
        return $this;
    }
    /**
     * Get sOtrosDestinatarios value
     * @return string|null
     */
    public function getSOtrosDestinatarios()
    {
        return $this->sOtrosDestinatarios;
    }
    /**
     * Set sOtrosDestinatarios value
     * @param string $sOtrosDestinatarios
     * @return \mensajeriabonos\StructType\EnviarSMI
     */
    public function setSOtrosDestinatarios($sOtrosDestinatarios = null)
    {
        // validation for constraint: string
        if (!is_null($sOtrosDestinatarios) && !is_string($sOtrosDestinatarios)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sOtrosDestinatarios, true), gettype($sOtrosDestinatarios)), __LINE__);
        }
        $this->sOtrosDestinatarios = $sOtrosDestinatarios;
        return $this;
    }
    /**
     * Get tFechaHoraEnvio value
     * @return string|null
     */
    public function getTFechaHoraEnvio()
    {
        return $this->tFechaHoraEnvio;
    }
    /**
     * Set tFechaHoraEnvio value
     * @param string $tFechaHoraEnvio
     * @return \mensajeriabonos\StructType\EnviarSMI
     */
    public function setTFechaHoraEnvio($tFechaHoraEnvio = null)
    {
        // validation for constraint: string
        if (!is_null($tFechaHoraEnvio) && !is_string($tFechaHoraEnvio)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($tFechaHoraEnvio, true), gettype($tFechaHoraEnvio)), __LINE__);
        }
        $this->tFechaHoraEnvio = $tFechaHoraEnvio;
        return $this;
    }
    /**
     * Get tFechaHoraExpiracion value
     * @return string|null
     */
    public function getTFechaHoraExpiracion()
    {
        return $this->tFechaHoraExpiracion;
    }
    /**
     * Set tFechaHoraExpiracion value
     * @param string $tFechaHoraExpiracion
     * @return \mensajeriabonos\StructType\EnviarSMI
     */
    public function setTFechaHoraExpiracion($tFechaHoraExpiracion = null)
    {
        // validation for constraint: string
        if (!is_null($tFechaHoraExpiracion) && !is_string($tFechaHoraExpiracion)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($tFechaHoraExpiracion, true), gettype($tFechaHoraExpiracion)), __LINE__);
        }
        $this->tFechaHoraExpiracion = $tFechaHoraExpiracion;
        return $this;
    }
    /**
     * Get sContenido value
     * @return string|null
     */
    public function getSContenido()
    {
        return $this->sContenido;
    }
    /**
     * Set sContenido value
     * @param string $sContenido
     * @return \mensajeriabonos\StructType\EnviarSMI
     */
    public function setSContenido($sContenido = null)
    {
        // validation for constraint: string
        if (!is_null($sContenido) && !is_string($sContenido)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sContenido, true), gettype($sContenido)), __LINE__);
        }
        $this->sContenido = $sContenido;
        return $this;
    }
    /**
     * Get bAcuse value
     * @return bool|null
     */
    public function getBAcuse()
    {
        return $this->bAcuse;
    }
    /**
     * Set bAcuse value
     * @param bool $bAcuse
     * @return \mensajeriabonos\StructType\EnviarSMI
     */
    public function setBAcuse($bAcuse = null)
    {
        // validation for constraint: boolean
        if (!is_null($bAcuse) && !is_bool($bAcuse)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($bAcuse, true), gettype($bAcuse)), __LINE__);
        }
        $this->bAcuse = $bAcuse;
        return $this;
    }
    /**
     * Get sIdGrupo value
     * @return string|null
     */
    public function getSIdGrupo()
    {
        return $this->sIdGrupo;
    }
    /**
     * Set sIdGrupo value
     * @param string $sIdGrupo
     * @return \mensajeriabonos\StructType\EnviarSMI
     */
    public function setSIdGrupo($sIdGrupo = null)
    {
        // validation for constraint: string
        if (!is_null($sIdGrupo) && !is_string($sIdGrupo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sIdGrupo, true), gettype($sIdGrupo)), __LINE__);
        }
        $this->sIdGrupo = $sIdGrupo;
        return $this;
    }
    /**
     * Get iCodingScheme value
     * @return int|null
     */
    public function getICodingScheme()
    {
        return $this->iCodingScheme;
    }
    /**
     * Set iCodingScheme value
     * @param int $iCodingScheme
     * @return \mensajeriabonos\StructType\EnviarSMI
     */
    public function setICodingScheme($iCodingScheme = null)
    {
        // validation for constraint: int
        if (!is_null($iCodingScheme) && !(is_int($iCodingScheme) || ctype_digit($iCodingScheme))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($iCodingScheme, true), gettype($iCodingScheme)), __LINE__);
        }
        $this->iCodingScheme = $iCodingScheme;
        return $this;
    }
}
