<?php

namespace mensajeriabonos\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for enviosms StructType
 * @subpackage Structs
 */
class Enviosms extends AbstractStructBase
{
    /**
     * The sEntidad
     * @var string
     */
    public $sEntidad;
    /**
     * The sUsuario
     * @var string
     */
    public $sUsuario;
    /**
     * The sClave
     * @var string
     */
    public $sClave;
    /**
     * The sNombreLista
     * @var string
     */
    public $sNombreLista;
    /**
     * The sContenido
     * @var string
     */
    public $sContenido;
    /**
     * The tFechaHoraEnvio
     * @var string
     */
    public $tFechaHoraEnvio;
    /**
     * The bEmergente
     * @var bool
     */
    public $bEmergente;
    /**
     * The bAcuse
     * @var bool
     */
    public $bAcuse;
    /**
     * The numParticiones
     * @var int
     */
    public $numParticiones;
    /**
     * Constructor method for enviosms
     * @uses Enviosms::setSEntidad()
     * @uses Enviosms::setSUsuario()
     * @uses Enviosms::setSClave()
     * @uses Enviosms::setSNombreLista()
     * @uses Enviosms::setSContenido()
     * @uses Enviosms::setTFechaHoraEnvio()
     * @uses Enviosms::setBEmergente()
     * @uses Enviosms::setBAcuse()
     * @uses Enviosms::setNumParticiones()
     * @param string $sEntidad
     * @param string $sUsuario
     * @param string $sClave
     * @param string $sNombreLista
     * @param string $sContenido
     * @param string $tFechaHoraEnvio
     * @param bool $bEmergente
     * @param bool $bAcuse
     * @param int $numParticiones
     */
    public function __construct($sEntidad = null, $sUsuario = null, $sClave = null, $sNombreLista = null, $sContenido = null, $tFechaHoraEnvio = null, $bEmergente = null, $bAcuse = null, $numParticiones = null)
    {
        $this
            ->setSEntidad($sEntidad)
            ->setSUsuario($sUsuario)
            ->setSClave($sClave)
            ->setSNombreLista($sNombreLista)
            ->setSContenido($sContenido)
            ->setTFechaHoraEnvio($tFechaHoraEnvio)
            ->setBEmergente($bEmergente)
            ->setBAcuse($bAcuse)
            ->setNumParticiones($numParticiones);
    }
    /**
     * Get sEntidad value
     * @return string|null
     */
    public function getSEntidad()
    {
        return $this->sEntidad;
    }
    /**
     * Set sEntidad value
     * @param string $sEntidad
     * @return \mensajeriabonos\StructType\Enviosms
     */
    public function setSEntidad($sEntidad = null)
    {
        // validation for constraint: string
        if (!is_null($sEntidad) && !is_string($sEntidad)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sEntidad, true), gettype($sEntidad)), __LINE__);
        }
        $this->sEntidad = $sEntidad;
        return $this;
    }
    /**
     * Get sUsuario value
     * @return string|null
     */
    public function getSUsuario()
    {
        return $this->sUsuario;
    }
    /**
     * Set sUsuario value
     * @param string $sUsuario
     * @return \mensajeriabonos\StructType\Enviosms
     */
    public function setSUsuario($sUsuario = null)
    {
        // validation for constraint: string
        if (!is_null($sUsuario) && !is_string($sUsuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sUsuario, true), gettype($sUsuario)), __LINE__);
        }
        $this->sUsuario = $sUsuario;
        return $this;
    }
    /**
     * Get sClave value
     * @return string|null
     */
    public function getSClave()
    {
        return $this->sClave;
    }
    /**
     * Set sClave value
     * @param string $sClave
     * @return \mensajeriabonos\StructType\Enviosms
     */
    public function setSClave($sClave = null)
    {
        // validation for constraint: string
        if (!is_null($sClave) && !is_string($sClave)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sClave, true), gettype($sClave)), __LINE__);
        }
        $this->sClave = $sClave;
        return $this;
    }
    /**
     * Get sNombreLista value
     * @return string|null
     */
    public function getSNombreLista()
    {
        return $this->sNombreLista;
    }
    /**
     * Set sNombreLista value
     * @param string $sNombreLista
     * @return \mensajeriabonos\StructType\Enviosms
     */
    public function setSNombreLista($sNombreLista = null)
    {
        // validation for constraint: string
        if (!is_null($sNombreLista) && !is_string($sNombreLista)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sNombreLista, true), gettype($sNombreLista)), __LINE__);
        }
        $this->sNombreLista = $sNombreLista;
        return $this;
    }
    /**
     * Get sContenido value
     * @return string|null
     */
    public function getSContenido()
    {
        return $this->sContenido;
    }
    /**
     * Set sContenido value
     * @param string $sContenido
     * @return \mensajeriabonos\StructType\Enviosms
     */
    public function setSContenido($sContenido = null)
    {
        // validation for constraint: string
        if (!is_null($sContenido) && !is_string($sContenido)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sContenido, true), gettype($sContenido)), __LINE__);
        }
        $this->sContenido = $sContenido;
        return $this;
    }
    /**
     * Get tFechaHoraEnvio value
     * @return string|null
     */
    public function getTFechaHoraEnvio()
    {
        return $this->tFechaHoraEnvio;
    }
    /**
     * Set tFechaHoraEnvio value
     * @param string $tFechaHoraEnvio
     * @return \mensajeriabonos\StructType\Enviosms
     */
    public function setTFechaHoraEnvio($tFechaHoraEnvio = null)
    {
        // validation for constraint: string
        if (!is_null($tFechaHoraEnvio) && !is_string($tFechaHoraEnvio)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($tFechaHoraEnvio, true), gettype($tFechaHoraEnvio)), __LINE__);
        }
        $this->tFechaHoraEnvio = $tFechaHoraEnvio;
        return $this;
    }
    /**
     * Get bEmergente value
     * @return bool|null
     */
    public function getBEmergente()
    {
        return $this->bEmergente;
    }
    /**
     * Set bEmergente value
     * @param bool $bEmergente
     * @return \mensajeriabonos\StructType\Enviosms
     */
    public function setBEmergente($bEmergente = null)
    {
        // validation for constraint: boolean
        if (!is_null($bEmergente) && !is_bool($bEmergente)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($bEmergente, true), gettype($bEmergente)), __LINE__);
        }
        $this->bEmergente = $bEmergente;
        return $this;
    }
    /**
     * Get bAcuse value
     * @return bool|null
     */
    public function getBAcuse()
    {
        return $this->bAcuse;
    }
    /**
     * Set bAcuse value
     * @param bool $bAcuse
     * @return \mensajeriabonos\StructType\Enviosms
     */
    public function setBAcuse($bAcuse = null)
    {
        // validation for constraint: boolean
        if (!is_null($bAcuse) && !is_bool($bAcuse)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($bAcuse, true), gettype($bAcuse)), __LINE__);
        }
        $this->bAcuse = $bAcuse;
        return $this;
    }
    /**
     * Get numParticiones value
     * @return int|null
     */
    public function getNumParticiones()
    {
        return $this->numParticiones;
    }
    /**
     * Set numParticiones value
     * @param int $numParticiones
     * @return \mensajeriabonos\StructType\Enviosms
     */
    public function setNumParticiones($numParticiones = null)
    {
        // validation for constraint: int
        if (!is_null($numParticiones) && !(is_int($numParticiones) || ctype_digit($numParticiones))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($numParticiones, true), gettype($numParticiones)), __LINE__);
        }
        $this->numParticiones = $numParticiones;
        return $this;
    }
}
